package com.bonus.canteen.core.customer.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.bonus.canteen.core.customer.constants.CustOrgAdjustStateEnum;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@LeNiuDecryptDataProcess
public class CustOrgAdjustPageVO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("用户编号")
   @ExcelProperty({"用户编号"})
   private String custNum;
   @ApiModelProperty("人员姓名")
   @ExcelProperty({"用户姓名"})
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("手机号")
   @LeNiuDecryptField
   @ExcelProperty({"用户手机号"})
   private String mobile;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("人员类别名称")
   @ExcelProperty({"用户类别"})
   private String psnTypeName;
   @ApiModelProperty("原机构id")
   private Long oldOrgId;
   @ApiModelProperty("原机构全称")
   @ExcelProperty({"原所属组织"})
   private String oldOrgFullName;
   @ApiModelProperty("新机构id")
   private Long newOrgId;
   @ApiModelProperty("新机构全称")
   @ExcelProperty({"新所属组织"})
   private String newOrgFullName;
   @ApiModelProperty("调整日期")
   @ExcelProperty({"生效日期"})
   private LocalDate adjustDate;
   @ApiModelProperty("状态（1成功,2失败,3待执行）")
   @ExcelProperty(
      value = {"状态"},
      converter = CustOrgAdjustStateEnum.ExcelConvertor.class
   )
   private Integer state;
   @ApiModelProperty("更新人")
   @ExcelProperty({"操作人"})
   private String upby;
   @ApiModelProperty("更新时间")
   @ExcelProperty({"操作时间"})
   private LocalDateTime uptime;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public Long getOldOrgId() {
      return this.oldOrgId;
   }

   public String getOldOrgFullName() {
      return this.oldOrgFullName;
   }

   public Long getNewOrgId() {
      return this.newOrgId;
   }

   public String getNewOrgFullName() {
      return this.newOrgFullName;
   }

   public LocalDate getAdjustDate() {
      return this.adjustDate;
   }

   public Integer getState() {
      return this.state;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
   }

   public void setOldOrgId(final Long oldOrgId) {
      this.oldOrgId = oldOrgId;
   }

   public void setOldOrgFullName(final String oldOrgFullName) {
      this.oldOrgFullName = oldOrgFullName;
   }

   public void setNewOrgId(final Long newOrgId) {
      this.newOrgId = newOrgId;
   }

   public void setNewOrgFullName(final String newOrgFullName) {
      this.newOrgFullName = newOrgFullName;
   }

   public void setAdjustDate(final LocalDate adjustDate) {
      this.adjustDate = adjustDate;
   }

   public void setState(final Integer state) {
      this.state = state;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }




}
